#
# spec file for package python-scitools
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define skip_python3 1

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define modname scitools

Name:           python-%{modname}
Version:        0.9.0
Release:        lp152.4.1
Summary:        A Python package containing lots of useful tools for scientific
License:        BSD-3-Clause AND GPL-2.0-or-later
Group:          Development/Libraries/Python
URL:            https://github.com/hplgit/scitools
Source0:        https://github.com/hplgit/%{modname}/archive/%{modname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module matplotlib}
BuildRequires:  fdupes
BuildRequires:  gnuplot
BuildRequires:  python-rpm-macros
Requires:       python-numpy
%python_subpackages

%description
SciTools is a Python package containing lots of useful tools for
scientific computing in Python. The package is built on top of other
widely used packages such as NumPy, SciPy, ScientificPython, Gnuplot,
etc.

%prep
%setup -q -n %{modname}-%{modname}-%{version}

%build
%python_build
find . -name "*.py" -exec sed -i "/#!\/usr\/bin.*/d" {} \;

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc ChangeLog README
%{_bindir}/scitools
%{_mandir}/man1/scitools.1%{?ext_man}
%{python_sitelib}/scitools/
%{python_sitelib}/SciTools-%{version}-py%{python_version}.egg-info

%changelog
* Thu Jun 14 2018 mcepl@suse.com
- Ckean up SPEC file. Unfortunately, test suite still doesn't work for
  me.
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Wed Oct  9 2013 cfarrell@suse.com
- license update: BSD-3-Clause and GPL-2.0+
  Lumpy is included
* Thu Sep 26 2013 speilicke@suse.com
- Properly remove she-bang lines from non-executable files (bnc#840511)
- Update to version 0.9.0:
  * LaTeX support in legends and titles in Easyviz. The output is reasonable
    in most formats.
  * Updated movie module with a new encoder "HTML": javascript code for
    displaying PNG/JPG/GIF files as a movie in a webbrowser.
  * Gnuplot postscript plots has linewidth 4 instead of 1.2 for clearer
    line in hardcopy plots.
  * New commands in the scitools script:
  * replace for textual replacement (subst is the counterpart for
    regular expression replacements)
  * pyreport for a version of pyreport that works with both
    scitools.easyviz and matplotlib
  * Added misc.function_UI function for autogenerating a user interface
    to a module such that a range of functions can be called from the
    command line with arguments also given on the command
    line. Autogeneration of help too.
  * Added Recorder class for recording what happens with an
    object. Can be used to see how Easyviz actually works with the
    underlying module. In this way, it becomes apparent what Easyviz
    actually performs, and if desired, the actions can be done
    (manually) outside Easyviz.
  * Rewritten the scitools simplified profiler to take advantage of new
    profiling tools in Python.
  * Added a numpyutils.PiecewiseConstant class for piecewise constant
    functions.
  * Added the avplotter module for making vertical plots in the terminal
    window. Handy when experimenting with very long time series that can
    be plotted vertically, line by line.
  * Updated documentation.
* Wed Jun 13 2012 toddrme2178@gmail.com
- Cleaned up spec file
* Tue Jun 12 2012 scorot@free.fr
- first package
